Subject: Re: [RFC PATCH 00/11] an introduction of library operating system for Linux (LibOS)

From: Hajime Tazaki<[email-masked]>
Date: Tue, 14 Apr 2015 12:20:48 +0900

At Thu, 09 Apr 2015 10:36:23 +0200,
Richard Weinberger wrote:
> 
> Am 31.03.2015 um 09:47 schrieb Hajime Tazaki:
> > right now arch/lib/Makefile isn't fully on the Kbuild
> > system: build file dependency is not tracked at all.
> > 
> > while I should learn more about Kbuild, I'd be happy if you
> > would suggest how the Makefile should be.
> 
> You definitely have to use Kbuild.
> Please bite the bullet and dig into it. Maybe we
> need also new functions in Kbuild to support a library mode.
> Who knows? ;)

Thanks Richard for the comment: I've been struggling on this
and created a github issue to struggle more ;)

https://github.com/libos-nuse/net-next-nuse/issues/26

I'd be happy if any of you're interested to tackle
Kbuild-ish Makefile for LibOS.

I'll be back here once I come up with the nice one.

-- Hajime

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>